# GetInvoices

Use this function to retrieve one or many invoices.

**Note**:

* When you retrieve multiple invoices, only a summary of the contact is returned and no line details are returned - this is to keep the response more compact.
* The line item details will be returned when you retrieve an individual invoice, either by specifying Invoice ID or Invoice Number or by using the optional paging parameter (below).

### Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Invoice id / number

You can retrieve an individual record by specifying the InvoiceID or Number.

#### Invoice ids

Filter by a comma-separated list of InvoicesIDs. For faster response times we recommend using these explicit parameters instead of passing OR conditions into the Where filter.

#### Invoice numbers

Filter by a comma-separated list of InvoiceNumbers. For faster response times we recommend using these explicit parameters instead of passing OR conditions into the Where filter.

#### Contact ids

Filter by a comma-separated list of ContactIDs. For faster response times we recommend using these explicit parameters instead of passing OR conditions into the Where filter.

#### Statuses

Filter by a comma-separated list of Statuses. For faster response times we recommend using these explicit parameters instead of passing OR conditions into the Where filter.

#### Modified after

A UTC timestamp (yyyy-mm-ddThh:mm:ss) . Only records created or modified since this timestamp will be returned e.g. 2009-11-12T00:00:00.

#### Where

Restrict the returned items using the specified criteria. See Where filter.

#### Page

e.g. page=1 – Up to 100 records will be returned in a single API call with line items shown for each record.

#### Order by

Return items in a specific order. See Order by filter.

#### Return options

Select how the data is to be returned.

Possible values are:

* Only the first item.
* The first item or an empty item.
* All the items one by one.
* All of the items at once.

## Output

#### Return type of Invoices

#### A list of invoices or a single invoice depending on the selected [Return option](https://github.com/linx-software/linx-docs/blob/v6-Main/reference/plugins/xero/content/invoices/getattachments.md#return-options).

## Links

[Xero Developer: Invoices (GET)](https://developer.xero.com/documentation/api/invoices#get)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/invoices/getinvoices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
